<html>
<head>
<title>OgreGLESRenderSystem.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_9e680f2cca56003d76c91ad8153c6d1e.html">GLES</a>      </li>
      <li class="navelem"><a class="el" href="dir_2b7861191a86db021136edf07f6d3897.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreGLESRenderSystem.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreGLESRenderSystem_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2008 Renato Araujo Oliveira Filho &lt;renatox@gmail.com&gt;</span>
<a name="l00008"></a>00008 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00011"></a>00011 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00012"></a>00012 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00013"></a>00013 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00014"></a>00014 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00015"></a>00015 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00016"></a>00016 <span class="comment"></span>
<a name="l00017"></a>00017 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00018"></a>00018 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00019"></a>00019 <span class="comment"></span>
<a name="l00020"></a>00020 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00021"></a>00021 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00022"></a>00022 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00023"></a>00023 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00024"></a>00024 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00025"></a>00025 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00026"></a>00026 <span class="comment">THE SOFTWARE.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 <span class="preprocessor">#ifndef __GLESRenderSystem_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span><span class="preprocessor">#define __GLESRenderSystem_H__</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreGLESPrerequisites_8h.html">OgreGLESPrerequisites.h</a>&quot;</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderSystem_8h.html">OgreRenderSystem.h</a>&quot;</span>
<a name="l00036"></a>00036 
<a name="l00037"></a>00037 <span class="keyword">namespace </span>Ogre {
<a name="l00038"></a>00038     <span class="keyword">class </span>GLESContext;
<a name="l00039"></a>00039     <span class="keyword">class </span>GLESSupport;
<a name="l00040"></a>00040     <span class="keyword">class </span>GLESRTTManager;
<a name="l00041"></a>00041     <span class="keyword">class </span>GLESGpuProgramManager;
<a name="l00042"></a>00042     <span class="keyword">class </span>HardwareBufferManager;
<a name="l00043"></a>00043 
<a name="l00047"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html">00047</a>     <span class="keyword">class </span><a class="code" href="OgreGLESPrerequisites_8h.html#aacfbc6e9783463d78a54316f63943b0a">_OgreGLESExport</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html" title="Implementation of GL as a rendering system.">GLESRenderSystem</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a>
<a name="l00048"></a>00048     {
<a name="l00049"></a>00049         <span class="keyword">private</span>:
<a name="l00050"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a5c737ff2fa97761ae94de11c2c7cb689">00050</a>             <span class="keyword">typedef</span> HashMap&lt;GLenum, GLint&gt;              <a class="code" href="classOgre_1_1GLESRenderSystem.html#a5c737ff2fa97761ae94de11c2c7cb689">TexEnviMap</a>;
<a name="l00051"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a779edbe02ee5f4949119da77e73ee367">00051</a>             <span class="keyword">typedef</span> HashMap&lt;GLenum, GLfloat&gt;            <a class="code" href="classOgre_1_1GLESRenderSystem.html#a779edbe02ee5f4949119da77e73ee367">TexEnvfMap</a>;
<a name="l00052"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a47811afff1908e077403533461b2cac0">00052</a>             <span class="keyword">typedef</span> HashMap&lt;GLenum, const GLfloat *&gt;    <a class="code" href="classOgre_1_1GLESRenderSystem.html#a47811afff1908e077403533461b2cac0">TexEnvfvMap</a>;
<a name="l00053"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#ab826704752c41e5525ed935223ed8817">00053</a>             <span class="keyword">typedef</span> HashMap&lt;GLenum, GLfloat&gt;            <a class="code" href="classOgre_1_1GLESRenderSystem.html#ab826704752c41e5525ed935223ed8817">PointParamfMap</a>;
<a name="l00054"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a15d7f66190ca60285dfa9f1c18ade58e">00054</a>             <span class="keyword">typedef</span> HashMap&lt;GLenum, const GLfloat *&gt;    <a class="code" href="classOgre_1_1GLESRenderSystem.html#a15d7f66190ca60285dfa9f1c18ade58e">PointParamfvMap</a>;
<a name="l00055"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#ad2799b50ef1dd16dd59c12b9e7c34e3b">00055</a>             <span class="keyword">typedef</span> HashMap&lt;GLenum, const GLfloat *&gt;    <a class="code" href="classOgre_1_1GLESRenderSystem.html#ad2799b50ef1dd16dd59c12b9e7c34e3b">MaterialfvMap</a>;
<a name="l00056"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a63e500ef81175c1694dc54ba8e94d489">00056</a>             <span class="keyword">typedef</span> HashMap&lt;GLenum, GLfloat&gt;            <a class="code" href="classOgre_1_1GLESRenderSystem.html#a63e500ef81175c1694dc54ba8e94d489">LightfMap</a>;
<a name="l00057"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#acf06bc57cef0aa660e42219ec05136bf">00057</a>             <span class="keyword">typedef</span> HashMap&lt;GLenum, const GLfloat *&gt;    <a class="code" href="classOgre_1_1GLESRenderSystem.html#acf06bc57cef0aa660e42219ec05136bf">LightfvMap</a>;
<a name="l00058"></a>00058 
<a name="l00062"></a><a class="code" href="OgreGLESRenderSystem_8h.html#a737b417f16ea225cf15e8d4c23df53dc">00062</a> <span class="preprocessor">            #define MAX_LIGHTS 8</span>
<a name="l00063"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a321f97ae7b90f98d1203849c9d013b90">00063</a> <span class="preprocessor"></span>            <a class="code" href="classOgre_1_1Light.html" title="Representation of a dynamic light source in the scene.">Light</a>* mLights[<a class="code" href="OgreGLESRenderSystem_8h.html#a737b417f16ea225cf15e8d4c23df53dc" title="Array of up to 8 lights, indexed as per API Note that a null value indicates a free slot...">MAX_LIGHTS</a>];
<a name="l00064"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a4f30254f942f9581bd01160c3ff130ca">00064</a>             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> <a class="code" href="classOgre_1_1GLESRenderSystem.html#a4f30254f942f9581bd01160c3ff130ca">mCurrentLights</a>;
<a name="l00065"></a>00065 
<a name="l00067"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a266194f4a6848258fb1f7103746f68fc">00067</a>             <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html#a266194f4a6848258fb1f7103746f68fc" title="View matrix to set world against.">mViewMatrix</a>;
<a name="l00068"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a99fe08307fd7ecafc99c9a4519200753">00068</a>             <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html#a99fe08307fd7ecafc99c9a4519200753">mWorldMatrix</a>;
<a name="l00069"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#af25d0762c875d3c7af70c3edd8fe0b4b">00069</a>             <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html#af25d0762c875d3c7af70c3edd8fe0b4b">mTextureMatrix</a>;
<a name="l00070"></a>00070 
<a name="l00072"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a940733de6dd544d23e269e95d0ad3ef4">00072</a>             <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html#a940733de6dd544d23e269e95d0ad3ef4" title="Last min &amp; mip filtering options, so we can combine them.">mMinFilter</a>;
<a name="l00073"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#aac593fd23d5ba58e7f2eb421b3f934c7">00073</a>             <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html#aac593fd23d5ba58e7f2eb421b3f934c7">mMipFilter</a>;
<a name="l00074"></a>00074 
<a name="l00076"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#ac898b334bc746dc5474ca1c20877a39f">00076</a>             <span class="keywordtype">size_t</span> mTextureCoordIndex[<a class="code" href="OgreConfig_8h.html#a1c5fd80e6e0f2f85d6facbe1ec8eb5a4" title="Define max number of texture layers allowed per pass on any card.">OGRE_MAX_TEXTURE_LAYERS</a>];
<a name="l00077"></a>00077 
<a name="l00079"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a9991ee90308b3c04ef4fdbd9098302f6">00079</a>             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> <a class="code" href="classOgre_1_1GLESRenderSystem.html#a9991ee90308b3c04ef4fdbd9098302f6" title="Number of fixed-function texture units.">mFixedFunctionTextureUnits</a>;
<a name="l00080"></a>00080 
<a name="l00082"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#abe650b85e31b53197fcff87395be1a44">00082</a>             <span class="keywordtype">bool</span> mColourWrite[4];
<a name="l00083"></a>00083 
<a name="l00085"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#ab550dc2da6f5fd926b003abc171dac99">00085</a>             GLboolean <a class="code" href="classOgre_1_1GLESRenderSystem.html#ab550dc2da6f5fd926b003abc171dac99" title="Store last depth write state.">mDepthWrite</a>;
<a name="l00086"></a>00086 
<a name="l00088"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#aef40afface42abd799bd01782eea290c">00088</a>             <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html#aef40afface42abd799bd01782eea290c" title="Store last stencil mask state.">mStencilMask</a>;
<a name="l00089"></a>00089 
<a name="l00090"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a0304ce804362506fe92ff65735d4f315">00090</a>             GLfloat mAutoTextureMatrix[16];
<a name="l00091"></a>00091 
<a name="l00092"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#af5afd7ed4cee89601757f8bf47652eff">00092</a>             <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GLESRenderSystem.html#af5afd7ed4cee89601757f8bf47652eff">mUseAutoTextureMatrix</a>;
<a name="l00093"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#ae31dbc2ad566159c19ab0d4f65f35c0b">00093</a>             <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1GLESRenderSystem.html#ae31dbc2ad566159c19ab0d4f65f35c0b">mTextureCount</a>;
<a name="l00094"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#af5024f9a0d2c50e926ab4cf15b85d526">00094</a>             <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GLESRenderSystem.html#af5024f9a0d2c50e926ab4cf15b85d526">mTextureEnabled</a>;
<a name="l00095"></a>00095 
<a name="l00097"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a40bf3d927409748a856aee4abfa479b0">00097</a>             <a class="code" href="classOgre_1_1GLESSupport.html">GLESSupport</a> *<a class="code" href="classOgre_1_1GLESRenderSystem.html#a40bf3d927409748a856aee4abfa479b0" title="GL support class, used for creating windows etc.">mGLSupport</a>;
<a name="l00098"></a>00098 
<a name="l00099"></a>00099             <span class="comment">/* The main GL context - main thread only */</span>
<a name="l00100"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#af06fbcfc725471c6478173e4bb6deeb1">00100</a>             <a class="code" href="classOgre_1_1GLESContext.html" title="Class that encapsulates an GL context.">GLESContext</a> *<a class="code" href="classOgre_1_1GLESRenderSystem.html#af06fbcfc725471c6478173e4bb6deeb1">mMainContext</a>;
<a name="l00101"></a>00101 
<a name="l00102"></a>00102             <span class="comment">/* The current GL context  - main thread only */</span>
<a name="l00103"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a0b37bfbe08e1bad1690f2f377223c92f">00103</a>             <a class="code" href="classOgre_1_1GLESContext.html" title="Class that encapsulates an GL context.">GLESContext</a> *<a class="code" href="classOgre_1_1GLESRenderSystem.html#a0b37bfbe08e1bad1690f2f377223c92f">mCurrentContext</a>;
<a name="l00104"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#ad17b7c38cc20db4f8aeccbd7d669d3b1">00104</a>             <a class="code" href="classOgre_1_1GLESGpuProgramManager.html">GLESGpuProgramManager</a> *<a class="code" href="classOgre_1_1GLESRenderSystem.html#ad17b7c38cc20db4f8aeccbd7d669d3b1">mGpuProgramManager</a>;
<a name="l00105"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a985949af552ef37af462f2804df7cd1b">00105</a>             <a class="code" href="classOgre_1_1HardwareBufferManager.html" title="Singleton wrapper for hardware buffer manager.">HardwareBufferManager</a>* <a class="code" href="classOgre_1_1GLESRenderSystem.html#a985949af552ef37af462f2804df7cd1b">mHardwareBufferManager</a>;
<a name="l00106"></a>00106 
<a name="l00112"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#aca104d3598d776b259431dadff2d0aa7">00112</a>             <a class="code" href="classOgre_1_1GLESRTTManager.html" title="Manager/factory for RenderTextures.">GLESRTTManager</a> *<a class="code" href="classOgre_1_1GLESRenderSystem.html#aca104d3598d776b259431dadff2d0aa7" title="Manager object for creating render textures.">mRTTManager</a>;
<a name="l00113"></a>00113 
<a name="l00118"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a8d81d3d5b685dd75c20d07d635e4bbbe">00118</a>             <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html#a8d81d3d5b685dd75c20d07d635e4bbbe" title="These variables are used for caching RenderSystem state.">mActiveTextureUnit</a>;
<a name="l00119"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#afabf9d207df15eefe587e58f7ca43995">00119</a>             <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html#afabf9d207df15eefe587e58f7ca43995">mActiveClientTextureUnit</a>;
<a name="l00120"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#afc9fda28e5f750e1365eaf2d8e40914e">00120</a>             <a class="code" href="classOgre_1_1GLESRenderSystem.html#a5c737ff2fa97761ae94de11c2c7cb689">TexEnviMap</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html#afc9fda28e5f750e1365eaf2d8e40914e">mActiveTexEnviMap</a>;
<a name="l00121"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a43effd6344461d2d6ea480342114f012">00121</a>             <a class="code" href="classOgre_1_1GLESRenderSystem.html#a779edbe02ee5f4949119da77e73ee367">TexEnvfMap</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html#a43effd6344461d2d6ea480342114f012">mActiveTexEnvfMap</a>;
<a name="l00122"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a54e4da9e58a0301b05a859358888f21e">00122</a>             <a class="code" href="classOgre_1_1GLESRenderSystem.html#a47811afff1908e077403533461b2cac0">TexEnvfvMap</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html#a54e4da9e58a0301b05a859358888f21e">mActiveTexEnvfvMap</a>;
<a name="l00123"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#ac0f8241f1d3e5319b60e99641598bce1">00123</a>             <a class="code" href="classOgre_1_1GLESRenderSystem.html#ab826704752c41e5525ed935223ed8817">PointParamfMap</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html#ac0f8241f1d3e5319b60e99641598bce1">mActivePointParamfMap</a>;
<a name="l00124"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#abf41593715549181e154d7b0fbc150e1">00124</a>             <a class="code" href="classOgre_1_1GLESRenderSystem.html#a15d7f66190ca60285dfa9f1c18ade58e">PointParamfvMap</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html#abf41593715549181e154d7b0fbc150e1">mActivePointParamfvMap</a>;
<a name="l00125"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a4407e1ac905da024189a568ad60c3cb8">00125</a>             <a class="code" href="classOgre_1_1GLESRenderSystem.html#ad2799b50ef1dd16dd59c12b9e7c34e3b">MaterialfvMap</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html#a4407e1ac905da024189a568ad60c3cb8">mActiveMaterialfvMap</a>;
<a name="l00126"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#ab97e8fb87dd547d2e33f833892cfc417">00126</a>             <a class="code" href="classOgre_1_1GLESRenderSystem.html#a63e500ef81175c1694dc54ba8e94d489">LightfMap</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html#ab97e8fb87dd547d2e33f833892cfc417">mActiveLightfMap</a>;
<a name="l00127"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a18d1b472e6d8e61c2938e6cdc1f80d06">00127</a>             <a class="code" href="classOgre_1_1GLESRenderSystem.html#acf06bc57cef0aa660e42219ec05136bf">LightfvMap</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html#a18d1b472e6d8e61c2938e6cdc1f80d06">mActiveLightfvMap</a>;
<a name="l00128"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#aa7629cc0252064c5a6f391a51836ec24">00128</a>             GLint <a class="code" href="classOgre_1_1GLESRenderSystem.html#aa7629cc0252064c5a6f391a51836ec24">mActiveSourceBlend</a>;
<a name="l00129"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a1a5983b94bb1c689d152ab11f7f3dc8c">00129</a>             GLint <a class="code" href="classOgre_1_1GLESRenderSystem.html#a1a5983b94bb1c689d152ab11f7f3dc8c">mActiveDestBlend</a>;
<a name="l00130"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#ac7f8b875f0f6e8a51785280d72815471">00130</a>             GLint <a class="code" href="classOgre_1_1GLESRenderSystem.html#ac7f8b875f0f6e8a51785280d72815471">mActiveDepthFunc</a>;
<a name="l00131"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#ab1efde5da356d572e4e765d176e318f2">00131</a>             GLenum <a class="code" href="classOgre_1_1GLESRenderSystem.html#ab1efde5da356d572e4e765d176e318f2">mActiveShadeModel</a>;
<a name="l00132"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a524f119ec562a255b86ea737d0558ef0">00132</a>             GLenum <a class="code" href="classOgre_1_1GLESRenderSystem.html#a524f119ec562a255b86ea737d0558ef0">mActiveMatrixMode</a>;
<a name="l00133"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a13aa14cdeb3ec5ff5e20d1a11addc6fe">00133</a>             GLfloat <a class="code" href="classOgre_1_1GLESRenderSystem.html#a13aa14cdeb3ec5ff5e20d1a11addc6fe">mActivePointSize</a>;
<a name="l00134"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a1d751502cf3d7146f4e6a7ff55aca6c6">00134</a>             GLenum <a class="code" href="classOgre_1_1GLESRenderSystem.html#a1d751502cf3d7146f4e6a7ff55aca6c6">mActiveCullFaceMode</a>;
<a name="l00135"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a773575f7f1aa2149d06a1e1602cbf8cf">00135</a>             GLfloat <a class="code" href="classOgre_1_1GLESRenderSystem.html#a773575f7f1aa2149d06a1e1602cbf8cf">mTexMaxAnisotropy</a>;
<a name="l00136"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#aa1cf4100cfecf598a1288493b0571bb1">00136</a>             GLfloat <a class="code" href="classOgre_1_1GLESRenderSystem.html#aa1cf4100cfecf598a1288493b0571bb1">mMaxTexMaxAnisotropy</a>;
<a name="l00137"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#aa035531d0add51d7deef48dda16d5b84">00137</a>             GLclampf <a class="code" href="classOgre_1_1GLESRenderSystem.html#aa035531d0add51d7deef48dda16d5b84">mActiveClearDepth</a>;
<a name="l00138"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a0f440876779b472d1aac82c8ff3cee27">00138</a>             <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> <a class="code" href="classOgre_1_1GLESRenderSystem.html#a0f440876779b472d1aac82c8ff3cee27">mActiveClearColor</a>;
<a name="l00139"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#afbcf1cfba3e6dff4bf224af7fe5a3748">00139</a>             GLenum <a class="code" href="classOgre_1_1GLESRenderSystem.html#afbcf1cfba3e6dff4bf224af7fe5a3748">mActiveAlphaFunc</a>;
<a name="l00140"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#ab37ed6093cccf635bf0a2014b82ef2cb">00140</a>             GLclampf <a class="code" href="classOgre_1_1GLESRenderSystem.html#ab37ed6093cccf635bf0a2014b82ef2cb">mActiveAlphaFuncValue</a>;
<a name="l00141"></a>00141 
<a name="l00143"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#aafeb44e668adf59385f8ad8fa51fc121">00143</a>             <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GLESRenderSystem.html#aafeb44e668adf59385f8ad8fa51fc121" title="Check if the GL system has already been initialised.">mGLInitialised</a>;
<a name="l00144"></a>00144 
<a name="l00146"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#aa6a1b514a391dc573ee40560936a38d6">00146</a>             <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1GLESRenderSystem.html#aa6a1b514a391dc573ee40560936a38d6" title="Mask of buffers who contents can be discarded if GL_EXT_discard_framebuffer is supported.">mDiscardBuffers</a>;
<a name="l00147"></a>00147 
<a name="l00151"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a7e6bf0b1a9acc693eaca5cbaee0fb692">00151</a>             GLenum <a class="code" href="classOgre_1_1GLESRenderSystem.html#a7e6bf0b1a9acc693eaca5cbaee0fb692" title="OpenGL ES doesn&#39;t support setting the PolygonMode like desktop GL So we will cache the value and set ...">mPolygonMode</a>;
<a name="l00152"></a>00152 
<a name="l00153"></a>00153             GLuint getCombinedMinMipFilter(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00154"></a>00154 
<a name="l00155"></a>00155             GLint getTextureAddressingMode(<a class="code" href="classOgre_1_1TextureUnitState.html#a47c5a9f4fc08159b99bdc51103bcf852" title="Texture addressing modes - default is TAM_WRAP.">TextureUnitState::TextureAddressingMode</a> tam) <span class="keyword">const</span>;
<a name="l00156"></a>00156             GLint getBlendMode(<a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> ogreBlend) <span class="keyword">const</span>;
<a name="l00157"></a>00157             <span class="keywordtype">void</span> makeGLMatrix(GLfloat gl_matrix[16], <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; m);
<a name="l00158"></a>00158             <span class="keywordtype">void</span> setGLLight(<span class="keywordtype">size_t</span> index, <a class="code" href="classOgre_1_1Light.html" title="Representation of a dynamic light source in the scene.">Light</a>* lt);
<a name="l00159"></a>00159 
<a name="l00161"></a>00161             <span class="keywordtype">void</span> setGLLightPositionDirection(<a class="code" href="classOgre_1_1Light.html" title="Representation of a dynamic light source in the scene.">Light</a>* lt, GLenum lightindex);
<a name="l00162"></a>00162             <span class="keywordtype">void</span> setLights();
<a name="l00163"></a>00163 
<a name="l00164"></a>00164             <span class="keywordtype">bool</span> activateGLTextureUnit(<span class="keywordtype">size_t</span> unit);
<a name="l00165"></a>00165             <span class="keywordtype">bool</span> activateGLClientTextureUnit(<span class="keywordtype">size_t</span> unit);
<a name="l00166"></a>00166             <span class="keywordtype">void</span> setGLTexEnvi(GLenum target, GLenum name, GLint param);
<a name="l00167"></a>00167             <span class="keywordtype">void</span> setGLTexEnvf(GLenum target, GLenum name, GLfloat param);
<a name="l00168"></a>00168             <span class="keywordtype">void</span> setGLTexEnvfv(GLenum target, GLenum name, <span class="keyword">const</span> GLfloat *param);
<a name="l00169"></a>00169             <span class="keywordtype">void</span> setGLPointParamf(GLenum name, GLfloat param);
<a name="l00170"></a>00170             <span class="keywordtype">void</span> setGLPointParamfv(GLenum name, <span class="keyword">const</span> GLfloat *param);
<a name="l00171"></a>00171             <span class="keywordtype">void</span> setGLMaterialfv(GLenum face, GLenum name, <span class="keyword">const</span> GLfloat *param);
<a name="l00172"></a>00172             <span class="keywordtype">void</span> setGLMatrixMode(GLenum mode);
<a name="l00173"></a>00173             <span class="keywordtype">void</span> setGLDepthMask(GLboolean flag);
<a name="l00174"></a>00174             <span class="keywordtype">void</span> setGLClearDepthf(GLclampf depth);
<a name="l00175"></a>00175             <span class="keywordtype">void</span> setGLColorMask(<span class="keywordtype">bool</span> red, <span class="keywordtype">bool</span> green, <span class="keywordtype">bool</span> blue, <span class="keywordtype">bool</span> alpha);
<a name="l00176"></a>00176             <span class="keywordtype">void</span> setGLLightf(GLenum light, GLenum name, GLfloat param);
<a name="l00177"></a>00177             <span class="keywordtype">void</span> setGLLightfv(GLenum light, GLenum name, <span class="keyword">const</span> GLfloat *param);
<a name="l00178"></a>00178 
<a name="l00179"></a>00179         <span class="keyword">public</span>:
<a name="l00180"></a>00180             <span class="comment">// Default constructor / destructor</span>
<a name="l00181"></a>00181             <a class="code" href="classOgre_1_1GLESRenderSystem.html" title="Implementation of GL as a rendering system.">GLESRenderSystem</a>();
<a name="l00182"></a>00182             <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1GLESRenderSystem.html" title="Implementation of GL as a rendering system.">GLESRenderSystem</a>();
<a name="l00183"></a>00183 
<a name="l00184"></a>00184             <span class="comment">// ----------------------------------</span>
<a name="l00185"></a>00185             <span class="comment">// Overridden RenderSystem functions</span>
<a name="l00186"></a>00186             <span class="comment">// ----------------------------------</span>
<a name="l00190"></a>00190 <span class="comment"></span>            <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getName(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00194"></a>00194             <a class="code" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a>&amp; getConfigOptions(<span class="keywordtype">void</span>);
<a name="l00198"></a>00198             <span class="keywordtype">void</span> setConfigOption(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;value);
<a name="l00202"></a>00202             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> validateConfigOptions(<span class="keywordtype">void</span>);
<a name="l00206"></a>00206             <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>* _initialise(<span class="keywordtype">bool</span> autoCreateWindow, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; windowTitle = <span class="stringliteral">&quot;OGRE Render NativeWindowType&quot;</span>);
<a name="l00210"></a>00210             <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a>* createRenderSystemCapabilities() <span class="keyword">const</span>;
<a name="l00214"></a>00214             <span class="keywordtype">void</span> initialiseFromRenderSystemCapabilities(<a class="code" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a>* caps, <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>* primary);
<a name="l00218"></a>00218             <span class="keywordtype">void</span> reinitialise(<span class="keywordtype">void</span>); <span class="comment">// Used if settings changed mid-rendering</span>
<a name="l00222"></a>00222 <span class="comment"></span>            <span class="keywordtype">void</span> shutdown(<span class="keywordtype">void</span>);
<a name="l00226"></a>00226             <span class="keywordtype">void</span> setAmbientLight(<span class="keywordtype">float</span> r, <span class="keywordtype">float</span> g, <span class="keywordtype">float</span> b);
<a name="l00230"></a>00230             <span class="keywordtype">void</span> setShadingType(<a class="code" href="group__General.html#ga7afd4c7d428baaee13f3a0dbcae5f560" title="Light shading modes.">ShadeOptions</a> so);
<a name="l00234"></a>00234             <span class="keywordtype">void</span> setLightingEnabled(<span class="keywordtype">bool</span> enabled);
<a name="l00235"></a>00235 
<a name="l00237"></a>00237             <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>* _createRenderWindow(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height, 
<a name="l00238"></a>00238                 <span class="keywordtype">bool</span> fullScreen, <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a> *miscParams = 0);
<a name="l00239"></a>00239 
<a name="l00241"></a>00241             <a class="code" href="classOgre_1_1DepthBuffer.html" title="An abstract class that contains a depth/stencil buffer.">DepthBuffer</a>* _createDepthBufferFor( <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> *renderTarget );
<a name="l00242"></a>00242 
<a name="l00244"></a>00244             <span class="keywordtype">void</span> _getDepthStencilFormatFor( GLenum internalColourFormat, GLenum *depthFormat,
<a name="l00245"></a>00245                                             GLenum *stencilFormat );
<a name="l00246"></a>00246 
<a name="l00248"></a>00248             <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1MultiRenderTarget.html" title="This class represents a render target that renders to multiple RenderTextures at once.">MultiRenderTarget</a> * createMultiRenderTarget(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp; name);
<a name="l00249"></a>00249 
<a name="l00253"></a>00253             <span class="keywordtype">void</span> destroyRenderWindow(<a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>* pWin);
<a name="l00257"></a>00257             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> getErrorDescription(<span class="keywordtype">long</span> errorNumber) <span class="keyword">const</span>;
<a name="l00261"></a>00261             <a class="code" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f" title="Vertex element type, used to identify the base types of the vertex contents.">VertexElementType</a> getColourVertexElementType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00265"></a>00265             <span class="keywordtype">void</span> setNormaliseNormals(<span class="keywordtype">bool</span> normalise);
<a name="l00266"></a>00266     
<a name="l00267"></a>00267             <span class="comment">// -----------------------------</span>
<a name="l00268"></a>00268             <span class="comment">// Low-level overridden members</span>
<a name="l00269"></a>00269             <span class="comment">// -----------------------------</span>
<a name="l00273"></a>00273 <span class="comment"></span>            <span class="keywordtype">void</span> _useLights(<span class="keyword">const</span> <a class="code" href="classOgre_1_1HashedVector.html">LightList</a>&amp; lights, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> limit);
<a name="l00277"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a5c6a4b95a40e7ad706648ddcca1495d0">00277</a>             <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GLESRenderSystem.html#a5c6a4b95a40e7ad706648ddcca1495d0" title="See RenderSystem.">areFixedFunctionLightsInViewSpace</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">true</span>; }
<a name="l00281"></a>00281             <span class="keywordtype">void</span> _setWorldMatrix(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> &amp;m);
<a name="l00285"></a>00285             <span class="keywordtype">void</span> _setViewMatrix(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> &amp;m);
<a name="l00289"></a>00289             <span class="keywordtype">void</span> _setProjectionMatrix(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> &amp;m);
<a name="l00293"></a>00293             <span class="keywordtype">void</span> _setSurfaceParams(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> &amp;ambient,
<a name="l00294"></a>00294                     <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> &amp;diffuse, <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> &amp;specular,
<a name="l00295"></a>00295                     <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> &amp;emissive, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> shininess,
<a name="l00296"></a>00296                     <a class="code" href="group__General.html#gaf3fdba7211d7078a43201a1721532f9e" title="An enumeration describing which material properties should track the vertex colours.">TrackVertexColourType</a> tracking);
<a name="l00300"></a>00300             <span class="keywordtype">void</span> _setPointParameters(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> size, <span class="keywordtype">bool</span> attenuationEnabled,
<a name="l00301"></a>00301                     <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> constant, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> linear, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> quadratic, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> minSize, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> maxSize);
<a name="l00305"></a>00305             <span class="keywordtype">void</span> _setPointSpritesEnabled(<span class="keywordtype">bool</span> enabled);
<a name="l00309"></a>00309             <span class="keywordtype">void</span> _setTexture(<span class="keywordtype">size_t</span> unit, <span class="keywordtype">bool</span> enabled, <span class="keyword">const</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a> &amp;tex);
<a name="l00313"></a>00313             <span class="keywordtype">void</span> _setTextureCoordSet(<span class="keywordtype">size_t</span> stage, <span class="keywordtype">size_t</span> index);
<a name="l00317"></a>00317             <span class="keywordtype">void</span> _setTextureCoordCalculation(<span class="keywordtype">size_t</span> stage, <a class="code" href="group__RenderSystem.html#gaa9c06899edc6b7aed7bf3b29abe9bb31" title="Enum describing the ways to generate texture coordinates.">TexCoordCalcMethod</a> m,
<a name="l00318"></a>00318                     <span class="keyword">const</span> <a class="code" href="classOgre_1_1Frustum.html" title="A frustum represents a pyramid, capped at the near and far end which is used to represent either a vi...">Frustum</a>* frustum = 0);
<a name="l00322"></a>00322             <span class="keywordtype">void</span> _setTextureBlendMode(<span class="keywordtype">size_t</span> stage, <span class="keyword">const</span> <a class="code" href="classOgre_1_1LayerBlendModeEx.html" title="Class which manages blending of both colour and alpha components.">LayerBlendModeEx</a>&amp; bm);
<a name="l00326"></a>00326             <span class="keywordtype">void</span> _setTextureAddressingMode(<span class="keywordtype">size_t</span> stage, <span class="keyword">const</span> <a class="code" href="structOgre_1_1TextureUnitState_1_1UVWAddressingMode.html" title="Texture addressing mode for each texture coordinate.">TextureUnitState::UVWAddressingMode</a>&amp; uvw);
<a name="l00330"></a>00330             <span class="keywordtype">void</span> _setTextureBorderColour(<span class="keywordtype">size_t</span> stage, <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; colour);
<a name="l00334"></a>00334             <span class="keywordtype">void</span> _setTextureMipmapBias(<span class="keywordtype">size_t</span> unit, <span class="keywordtype">float</span> bias);
<a name="l00338"></a>00338             <span class="keywordtype">void</span> _setTextureMatrix(<span class="keywordtype">size_t</span> stage, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; xform);
<a name="l00342"></a>00342             <span class="keywordtype">void</span> _setViewport(<a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> *vp);
<a name="l00346"></a>00346             <span class="keywordtype">void</span> _beginFrame(<span class="keywordtype">void</span>);
<a name="l00350"></a>00350             <span class="keywordtype">void</span> _endFrame(<span class="keywordtype">void</span>);
<a name="l00354"></a>00354             <span class="keywordtype">void</span> _setCullingMode(<a class="code" href="group__General.html#gac173244ed7d950d0acd726e4f323ecdb" title="Hardware culling modes based on vertex winding.">CullingMode</a> mode);
<a name="l00358"></a>00358             <span class="keywordtype">void</span> _setDepthBufferParams(<span class="keywordtype">bool</span> depthTest = <span class="keyword">true</span>, <span class="keywordtype">bool</span> depthWrite = <span class="keyword">true</span>, <a class="code" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a" title="Comparison functions used for the depth/stencil buffer operations and others.">CompareFunction</a> depthFunction = <a class="code" href="group__General.html#gga0212b4eb264f207d84c1df9425208c7aa2272d0faefcf5a2e08bbf7d232d7520b">CMPF_LESS_EQUAL</a>);
<a name="l00362"></a>00362             <span class="keywordtype">void</span> _setDepthBufferCheckEnabled(<span class="keywordtype">bool</span> enabled = <span class="keyword">true</span>);
<a name="l00366"></a>00366             <span class="keywordtype">void</span> _setDepthBufferWriteEnabled(<span class="keywordtype">bool</span> enabled = <span class="keyword">true</span>);
<a name="l00370"></a>00370             <span class="keywordtype">void</span> _setDepthBufferFunction(<a class="code" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a" title="Comparison functions used for the depth/stencil buffer operations and others.">CompareFunction</a> func = <a class="code" href="group__General.html#gga0212b4eb264f207d84c1df9425208c7aa2272d0faefcf5a2e08bbf7d232d7520b">CMPF_LESS_EQUAL</a>);
<a name="l00374"></a>00374             <span class="keywordtype">void</span> _setDepthBias(<span class="keywordtype">float</span> constantBias, <span class="keywordtype">float</span> slopeScaleBias);
<a name="l00378"></a>00378             <span class="keywordtype">void</span> _setColourBufferWriteEnabled(<span class="keywordtype">bool</span> red, <span class="keywordtype">bool</span> green, <span class="keywordtype">bool</span> blue, <span class="keywordtype">bool</span> alpha);
<a name="l00382"></a>00382             <span class="keywordtype">void</span> _setFog(<a class="code" href="group__General.html#ga83edeb2e5d33a3ca8f15834ba40020ba" title="Fog modes.">FogMode</a> mode, <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; colour, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> density, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> start, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> end);
<a name="l00386"></a>00386             <span class="keywordtype">void</span> _convertProjectionMatrix(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; matrix,
<a name="l00387"></a>00387                     <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; dest, <span class="keywordtype">bool</span> forGpuProgram = <span class="keyword">false</span>);
<a name="l00391"></a>00391             <span class="keywordtype">void</span> _makeProjectionMatrix(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a>&amp; fovy, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> aspect, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> nearPlane, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> farPlane,
<a name="l00392"></a>00392                     <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; dest, <span class="keywordtype">bool</span> forGpuProgram = <span class="keyword">false</span>);
<a name="l00396"></a>00396             <span class="keywordtype">void</span> _makeProjectionMatrix(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> left, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> right, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> bottom, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> top, 
<a name="l00397"></a>00397                     <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> nearPlane, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> farPlane, <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; dest, <span class="keywordtype">bool</span> forGpuProgram = <span class="keyword">false</span>);
<a name="l00401"></a>00401             <span class="keywordtype">void</span> _makeOrthoMatrix(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a>&amp; fovy, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> aspect, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> nearPlane, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> farPlane,
<a name="l00402"></a>00402                     <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; dest, <span class="keywordtype">bool</span> forGpuProgram = <span class="keyword">false</span>);
<a name="l00406"></a>00406             <span class="keywordtype">void</span> _applyObliqueDepthProjection(<a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; matrix, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Plane.html" title="Defines a plane in 3D space.">Plane</a>&amp; plane, 
<a name="l00407"></a>00407                     <span class="keywordtype">bool</span> forGpuProgram);
<a name="l00411"></a>00411             <span class="keywordtype">void</span> setClipPlane (<a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> index, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> A, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> B, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> C, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> D);
<a name="l00415"></a>00415             <span class="keywordtype">void</span> enableClipPlane (<a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> index, <span class="keywordtype">bool</span> enable);
<a name="l00419"></a>00419             <span class="keywordtype">void</span> _setPolygonMode(<a class="code" href="group__General.html#ga68866b02aa7f99e3431337511fbb3345" title="The polygon mode to use when rasterising.">PolygonMode</a> level);
<a name="l00423"></a>00423             <span class="keywordtype">void</span> setStencilCheckEnabled(<span class="keywordtype">bool</span> enabled);
<a name="l00427"></a>00427             <span class="keywordtype">void</span> setStencilBufferParams(<a class="code" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a" title="Comparison functions used for the depth/stencil buffer operations and others.">CompareFunction</a> func = <a class="code" href="group__General.html#gga0212b4eb264f207d84c1df9425208c7aae10ea1648cd8c9bd90bdaccaa11cbc4e">CMPF_ALWAYS_PASS</a>, 
<a name="l00428"></a>00428                     <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> refValue = 0, <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> mask = 0xFFFFFFFF,
<a name="l00429"></a>00429                     <a class="code" href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61" title="Enum describing the various actions which can be taken onthe stencil buffer.">StencilOperation</a> stencilFailOp = <a class="code" href="group__RenderSystem.html#ggae8bb1cb809660de802d1d592ba4adb61abf640cb28b5020509dc27178f0359511" title="Leave the stencil buffer unchanged.">SOP_KEEP</a>,
<a name="l00430"></a>00430                     <a class="code" href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61" title="Enum describing the various actions which can be taken onthe stencil buffer.">StencilOperation</a> depthFailOp = <a class="code" href="group__RenderSystem.html#ggae8bb1cb809660de802d1d592ba4adb61abf640cb28b5020509dc27178f0359511" title="Leave the stencil buffer unchanged.">SOP_KEEP</a>,
<a name="l00431"></a>00431                     <a class="code" href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61" title="Enum describing the various actions which can be taken onthe stencil buffer.">StencilOperation</a> passOp = <a class="code" href="group__RenderSystem.html#ggae8bb1cb809660de802d1d592ba4adb61abf640cb28b5020509dc27178f0359511" title="Leave the stencil buffer unchanged.">SOP_KEEP</a>,
<a name="l00432"></a>00432                     <span class="keywordtype">bool</span> twoSidedOperation = <span class="keyword">false</span>);
<a name="l00436"></a>00436             <span class="keywordtype">void</span> _setTextureUnitFiltering(<span class="keywordtype">size_t</span> unit, <a class="code" href="group__General.html#gac1fc36ec2f4df4b2afa9fa39f9c66c06">FilterType</a> ftype, <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> filter);
<a name="l00440"></a>00440             <span class="keywordtype">void</span> _setTextureLayerAnisotropy(<span class="keywordtype">size_t</span> unit, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> maxAnisotropy);
<a name="l00444"></a>00444             <span class="keywordtype">void</span> setVertexDeclaration(<a class="code" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to the rendering API th...">VertexDeclaration</a>* decl);
<a name="l00448"></a>00448             <span class="keywordtype">void</span> setVertexBufferBinding(<a class="code" href="classOgre_1_1VertexBufferBinding.html" title="Records the state of all the vertex buffer bindings required to provide a vertex declaration with the...">VertexBufferBinding</a>* binding);
<a name="l00452"></a>00452             <span class="keywordtype">void</span> _render(<span class="keyword">const</span> <a class="code" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a>&amp; op);
<a name="l00456"></a>00456             <span class="keywordtype">void</span> setScissorTest(<span class="keywordtype">bool</span> enabled, <span class="keywordtype">size_t</span> left = 0, <span class="keywordtype">size_t</span> top = 0, <span class="keywordtype">size_t</span> right = 800, <span class="keywordtype">size_t</span> bottom = 600);
<a name="l00457"></a>00457         
<a name="l00458"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a2d2659222c9a80f7e66182d4001e1ac6">00458</a>             <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1GLESRenderSystem.html#a2d2659222c9a80f7e66182d4001e1ac6">_setDiscardBuffers</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> flags) { mDiscardBuffers = flags; }
<a name="l00459"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a1f07a9e4695928a91e0c43ed2e439ad8">00459</a>             <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1GLESRenderSystem.html#a1f07a9e4695928a91e0c43ed2e439ad8">getDiscardBuffers</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDiscardBuffers; }
<a name="l00460"></a>00460 
<a name="l00461"></a>00461             <span class="keywordtype">void</span> clearFrameBuffer(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> buffers,
<a name="l00462"></a>00462                 <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; colour = <a class="code" href="classOgre_1_1ColourValue.html#a7f8a06f2a9dd645417c36b560f496c1a">ColourValue::Black</a>,
<a name="l00463"></a>00463                 <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> depth = 1.0f, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> stencil = 0);
<a name="l00464"></a>00464             <a class="code" href="classOgre_1_1HardwareOcclusionQuery.html" title="This is a abstract class that that provides the interface for the query class for hardware occlusion...">HardwareOcclusionQuery</a>* createHardwareOcclusionQuery(<span class="keywordtype">void</span>);
<a name="l00465"></a>00465             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getHorizontalTexelOffset(<span class="keywordtype">void</span>);
<a name="l00466"></a>00466             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getVerticalTexelOffset(<span class="keywordtype">void</span>);
<a name="l00467"></a>00467             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getMinimumDepthInputValue(<span class="keywordtype">void</span>);
<a name="l00468"></a>00468             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getMaximumDepthInputValue(<span class="keywordtype">void</span>);
<a name="l00469"></a>00469             <span class="keywordtype">void</span> registerThread();
<a name="l00470"></a>00470             <span class="keywordtype">void</span> unregisterThread();
<a name="l00471"></a>00471             <span class="keywordtype">void</span> preExtraThreadsStarted();
<a name="l00472"></a>00472             <span class="keywordtype">void</span> postExtraThreadsStarted();
<a name="l00473"></a>00473             <span class="keywordtype">void</span> setClipPlanesImpl(<span class="keyword">const</span> <a class="code" href="group__Math.html#gae00d718daa48567f6c010aad9d6dd92c">Ogre::PlaneList</a>&amp; planeList);
<a name="l00474"></a>00474 
<a name="l00475"></a>00475             <span class="comment">// ----------------------------------</span>
<a name="l00476"></a>00476             <span class="comment">// GLESRenderSystem specific members</span>
<a name="l00477"></a>00477             <span class="comment">// ----------------------------------</span>
<a name="l00479"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a20329f0db667ae57cd241c3ef840363d">00479</a> <span class="comment"></span>            <a class="code" href="classOgre_1_1GLESContext.html" title="Class that encapsulates an GL context.">GLESContext</a>* <a class="code" href="classOgre_1_1GLESRenderSystem.html#a20329f0db667ae57cd241c3ef840363d" title="Returns the main context.">_getMainContext</a>() { <span class="keywordflow">return</span> mMainContext; }
<a name="l00487"></a>00487             <span class="keywordtype">void</span> _unregisterContext(<a class="code" href="classOgre_1_1GLESContext.html" title="Class that encapsulates an GL context.">GLESContext</a> *context);
<a name="l00490"></a>00490             <span class="keywordtype">void</span> _switchContext(<a class="code" href="classOgre_1_1GLESContext.html" title="Class that encapsulates an GL context.">GLESContext</a> *context);
<a name="l00494"></a>00494             <span class="keywordtype">void</span> _oneTimeContextInitialization();
<a name="l00495"></a>00495             <span class="keywordtype">void</span> initialiseContext(<a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>* primary);
<a name="l00499"></a>00499             <span class="keywordtype">void</span> _setRenderTarget(<a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> *target);
<a name="l00500"></a>00500 
<a name="l00501"></a>00501             GLint convertCompareFunction(<a class="code" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a" title="Comparison functions used for the depth/stencil buffer operations and others.">CompareFunction</a> func) <span class="keyword">const</span>;
<a name="l00502"></a>00502             GLint convertStencilOp(<a class="code" href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61" title="Enum describing the various actions which can be taken onthe stencil buffer.">StencilOperation</a> op, <span class="keywordtype">bool</span> invert = <span class="keyword">false</span>) <span class="keyword">const</span>;
<a name="l00503"></a>00503 
<a name="l00504"></a>00504             <span class="keywordtype">void</span> bindGpuProgram(<a class="code" href="classOgre_1_1GpuProgram.html" title="Defines a program which runs on the GPU such as a vertex or fragment program.">GpuProgram</a>* prg);
<a name="l00505"></a>00505             <span class="keywordtype">void</span> unbindGpuProgram(<a class="code" href="group__Resources.html#gad08e89fa63e81d061ea9e2f37664976e" title="Enumerates the types of programs which can run on the GPU.">GpuProgramType</a> gptype);
<a name="l00506"></a>00506             <span class="keywordtype">void</span> bindGpuProgramParameters(<a class="code" href="group__Resources.html#gad08e89fa63e81d061ea9e2f37664976e" title="Enumerates the types of programs which can run on the GPU.">GpuProgramType</a> gptype, <a class="code" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> params, <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> mask);
<a name="l00507"></a>00507             <span class="keywordtype">void</span> bindGpuProgramPassIterationParameters(<a class="code" href="group__Resources.html#gad08e89fa63e81d061ea9e2f37664976e" title="Enumerates the types of programs which can run on the GPU.">GpuProgramType</a> gptype);
<a name="l00508"></a>00508 
<a name="l00510"></a>00510             <span class="keywordtype">void</span> _setSceneBlending( <a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> sourceFactor, <a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> destFactor, <a class="code" href="group__Materials.html#gaa7a12a72231aedf6e33d58aafc11214a" title="Blending operations controls how objects are blended into the scene.">SceneBlendOperation</a> op );
<a name="l00512"></a>00512             <span class="keywordtype">void</span> _setSeparateSceneBlending( <a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> sourceFactor, <a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> destFactor, <a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> sourceFactorAlpha, <a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> destFactorAlpha, <a class="code" href="group__Materials.html#gaa7a12a72231aedf6e33d58aafc11214a" title="Blending operations controls how objects are blended into the scene.">SceneBlendOperation</a> op, <a class="code" href="group__Materials.html#gaa7a12a72231aedf6e33d58aafc11214a" title="Blending operations controls how objects are blended into the scene.">SceneBlendOperation</a> alphaOp );
<a name="l00514"></a>00514             <span class="keywordtype">void</span> _setAlphaRejectSettings( <a class="code" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a" title="Comparison functions used for the depth/stencil buffer operations and others.">CompareFunction</a> func, <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> value, <span class="keywordtype">bool</span> alphaToCoverage );
<a name="l00516"></a>00516             <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getDisplayMonitorCount() <span class="keyword">const</span>;
<a name="l00517"></a>00517 
<a name="l00518"></a><a class="code" href="classOgre_1_1GLESRenderSystem.html#a749da15efc77c2e88ab38e22330e36df">00518</a>             GLenum <a class="code" href="classOgre_1_1GLESRenderSystem.html#a749da15efc77c2e88ab38e22330e36df">_getPolygonMode</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPolygonMode; }
<a name="l00519"></a>00519 
<a name="l00521"></a>00521             GLfloat _getCurrentAnisotropy(<span class="keywordtype">size_t</span> unit);
<a name="l00522"></a>00522 
<a name="l00523"></a>00523             <span class="keywordtype">void</span> _setSceneBlendingOperation(<a class="code" href="group__Materials.html#gaa7a12a72231aedf6e33d58aafc11214a" title="Blending operations controls how objects are blended into the scene.">SceneBlendOperation</a> op);
<a name="l00524"></a>00524             <span class="keywordtype">void</span> _setSeparateSceneBlendingOperation(<a class="code" href="group__Materials.html#gaa7a12a72231aedf6e33d58aafc11214a" title="Blending operations controls how objects are blended into the scene.">SceneBlendOperation</a> op, <a class="code" href="group__Materials.html#gaa7a12a72231aedf6e33d58aafc11214a" title="Blending operations controls how objects are blended into the scene.">SceneBlendOperation</a> alphaOp);
<a name="l00525"></a>00525     };
<a name="l00526"></a>00526 }
<a name="l00527"></a>00527 
<a name="l00528"></a>00528 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
